apiVersion: flagger.app/v1alpha3 
kind: Canary 
metadata: 
  name: frontend 
  namespace: microservices-demo 
spec: 
  provider: istio 
  targetRef: 
    apiVersion: apps/v1 
    kind: Deployment 
    name: frontend 
  service:  
    port: 80 
    targetPort: 8080 
    gateways: 
    - frontend
    hosts:
    - "*"
    trafficPolicy:
      tls:
        mode: DISABLE
  analysis:
    interval: 30s 
    threshold: 5 
    maxWeight: 30 
    stepWeight: 5 
    metrics: 
    - name: request-success-rate 
      threshold: 99 
      interval: 30s 
    - name: request-duration 
      threshold: 500 
      interval: 30s